LLVM: lldb::SBBreakpointList Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBBreakpointList Class Reference

`#include <SBBreakpoint.h>`

## Public Member Functions
| SBBreakpointList (SBTarget &target)
| ~SBBreakpointList ()
size_t | GetSize () const
SBBreakpoint | GetBreakpointAtIndex (size_t idx)
SBBreakpoint | FindBreakpointByID (lldb::break_id_t)
void | Append (const SBBreakpoint &sb_file)
bool | AppendIfUnique (const SBBreakpoint &sb_file)
void | AppendByID (lldb::break_id_t id)
void | Clear ()

## Protected Member Functions
void | CopyToBreakpointIDList (lldb_private::BreakpointIDList &bp_id_list)

## Friends
class | SBTarget

## Detailed Description

Definition at line 151 of file SBBreakpoint.h.

## Constructor & Destructor Documentation

lldb::SBBreakpointList::SBBreakpointList | ( | SBTarget & | target | ) |

lldb::SBBreakpointList::~SBBreakpointList | ( |  | ) |

## Member Function Documentation

void lldb::SBBreakpointList::Append | ( | const SBBreakpoint & | sb_file | ) |

void lldb::SBBreakpointList::AppendByID | ( | lldb::break_id_t | id | ) |

bool lldb::SBBreakpointList::AppendIfUnique | ( | const SBBreakpoint & | sb_file | ) |

void lldb::SBBreakpointList::Clear | ( |  | ) |

void lldb::SBBreakpointList::CopyToBreakpointIDList | ( | lldb_private::BreakpointIDList & | bp_id_list | ) |
| protected

SBBreakpoint lldb::SBBreakpointList::FindBreakpointByID | ( | lldb::break_id_t |  | ) |

SBBreakpoint lldb::SBBreakpointList::GetBreakpointAtIndex | ( | size_t | idx | ) |

size_t lldb::SBBreakpointList::GetSize | ( |  | ) | const

## Friends And Related Function Documentation

friend class SBTarget
| friend

Definition at line 172 of file SBBreakpoint.h.

The documentation for this class was generated from the following file:

- SBBreakpoint.h